package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 签约信息-添加股东构成对象 bm_project_shareholder
 * 
 * @author ruoyi
 * @date 2021-12-20
 */
public class BmProjectShareholder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目投资方id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 是否删除(0未删除、1已删除)* */
    @Excel(name = "是否删除(0未删除、1已删除)*")
    private Long isDel;

    /** 企业名称* */
    @Excel(name = "企业名称*")
    private String companyName;

    /** 股权比例* */
    @Excel(name = "股权比例*")
    private String equityRatio;

    /** 统一社会信用代码* */
    @Excel(name = "统一社会信用代码*")
    private String companyCode;

    /** 企业股东营业执照* */
    @Excel(name = "企业股东营业执照*")
    private String businessPhoto;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setEquityRatio(String equityRatio) 
    {
        this.equityRatio = equityRatio;
    }

    public String getEquityRatio() 
    {
        return equityRatio;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setBusinessPhoto(String businessPhoto) 
    {
        this.businessPhoto = businessPhoto;
    }

    public String getBusinessPhoto() 
    {
        return businessPhoto;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("companyName", getCompanyName())
            .append("equityRatio", getEquityRatio())
            .append("companyCode", getCompanyCode())
            .append("businessPhoto", getBusinessPhoto())
            .toString();
    }
}
